# Method: matters.list

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.ListMattersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters/list#try-it)

Lists matters the requestor has access to.

### HTTP request

`GET https://vault.googleapis.com/v1/matters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The number of matters to return in the response. Default and maximum are 100. |
| `pageToken` | `string` The pagination token as returned in the response. |
| `view` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/MatterView`)`` Specifies how much information about the matter to return in response. |
| `state` | ``enum (`https://developers.google.com/workspace/vault/reference/rest/v1/matters#State`)`` If set, lists only matters with the specified state. The default lists matters of all states. |

### Request body

The request body must be empty.

### Response body

Provides the list of matters.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "matters": [ { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters#Matter`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `matters[]` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters#Matter`)`` List of matters. |
| `nextPageToken` | `string` Page token to retrieve the next page of results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/ediscovery.readonly`
- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).